// Persistence of Vision Ray Tracer Scene Description File
// File: pearls.pov
// Vers: 3
// Desc: String of pearls.
// Date: 02/19/97
// Auth: Rob Antonishen
//

#version 3

#include "colors.inc"

global_settings
{
  assumed_gamma 1.0
}

// ----------------------------------------
camera
{
  location  <0.0, 1, -3>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.5,  0.0>
}

sky_sphere
{
  pigment
  {
    gradient y
    color_map { [0.0 color blue 0.6] [1.0 color rgb 1] }
  }
}

light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <-30, 30, -30>
}

// ----------------------------------------
plane { y, -1 pigment {color rgb <0.7,0.5,0.3>}}



#declare link =                //pearl link
union {
  sphere { <0.45,0,0>, 0.45      //the pearl
  pigment { White }
  finish {
      ambient .2
      diffuse .6
      phong .75
      phong_size 25
    }
  }
  sphere { <0,0,0>, 0.02 pigment { White/4 } }                //  the
  cylinder { <0,0,0>, <1,0,0>, 0.02 pigment { White/4 } }     //  string
}



#declare link_length =0.2
#declare link_rotation = 0
#declare link_error = 0.01 // (fraction of link_length)
#declare chain_start=<-1,1,0>
#declare chain_end=<1,1,0>
#declare chain_scale=1.6     // chain scale
#declare chain_type=2        // catenary

//#declare chain_debug=on

#include "chain11.inc"
